package com.agri.system.service.impl;

import com.agri.common.utils.DateUtils;
import com.agri.system.domain.SysUserAgri;
import com.agri.system.mapper.SysUserAgriMapper;
import com.agri.system.service.ISysUserAgriService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 大棚信息（用户-设备关联）Service业务层处理
 * 
 * @author lld
 * @date 2026-01-25
 */
@Service
public class SysUserAgriServiceImpl extends ServiceImpl<SysUserAgriMapper, SysUserAgri> implements ISysUserAgriService 
{

    /**
     * 查询大棚信息（用户-设备关联）
     * 
     * @param id 大棚信息（用户-设备关联）主键
     * @return 大棚信息（用户-设备关联）
     */
    @Override
    public SysUserAgri selectSysUserAgriById(Long id)
    {
        return baseMapper.selectSysUserAgriById(id);
    }

    /**
     * 查询大棚信息（用户-设备关联）列表
     * 
     * @param sysUserAgri 大棚信息（用户-设备关联）
     * @return 大棚信息（用户-设备关联）
     */
    @Override
    public List<SysUserAgri> selectSysUserAgriList(SysUserAgri sysUserAgri)
    {
        return baseMapper.selectSysUserAgriList(sysUserAgri);
    }

    /**
     * 新增大棚信息（用户-设备关联）
     * 
     * @param sysUserAgri 大棚信息（用户-设备关联）
     * @return 结果
     */
    @Override
    public int insertSysUserAgri(SysUserAgri sysUserAgri)
    {
        sysUserAgri.setCreateTime(DateUtils.getNowDate());
        return baseMapper.insertSysUserAgri(sysUserAgri);
    }

    /**
     * 修改大棚信息（用户-设备关联）
     * 
     * @param sysUserAgri 大棚信息（用户-设备关联）
     * @return 结果
     */
    @Override
    public int updateSysUserAgri(SysUserAgri sysUserAgri)
    {
        sysUserAgri.setUpdateTime(DateUtils.getNowDate());
        return baseMapper.updateSysUserAgri(sysUserAgri);
    }

    /**
     * 批量删除大棚信息（用户-设备关联）
     * 
     * @param ids 需要删除的大棚信息（用户-设备关联）主键
     * @return 结果
     */
    @Override
    public int deleteSysUserAgriByIds(Long[] ids)
    {
        return baseMapper.deleteSysUserAgriByIds(ids);
    }

    /**
     * 删除大棚信息（用户-设备关联）信息
     * 
     * @param id 大棚信息（用户-设备关联）主键
     * @return 结果
     */
    @Override
    public int deleteSysUserAgriById(Long id)
    {
        return baseMapper.deleteSysUserAgriById(id);
    }

    @Override
    public List<SysUserAgri> findAgriUser(SysUserAgri sysUserAgri) {

        return baseMapper.findAgriUser(sysUserAgri);
    }
    @Override
    public List<SysUserAgri> findAllUser(SysUserAgri sysUserAgri) {

        return baseMapper.findAllUser(sysUserAgri);
    }
}
